aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorStewart Smith <stewart@linux.vnet.ibm.com>2017-07-12 17:56:41 +1000
committerStewart Smith <stewart@linux.vnet.ibm.com>2017-07-12 17:56:41 +1000
commit4a98c1de9a42a10f4297ab0bc6612040c1a88570 (patch)
tree6c9280dbeb563f115d4cb34fbb0f7f65988aefaa /test
parentadc59000b4eb2ee2871bebc3805b9e1a7600502a (diff)
downloadskiboot-4a98c1de9a42a10f4297ab0bc6612040c1a88570.zip
skiboot-4a98c1de9a42a10f4297ab0bc6612040c1a88570.tar.gz
skiboot-4a98c1de9a42a10f4297ab0bc6612040c1a88570.tar.bz2
test/qemu-jessie: bail out fast on kernel panic
Signed-off-by: Stewart Smith <stewart@linux.vnet.ibm.com>
Diffstat (limited to 'test')
-rwxr-xr-xtest/run_qemu-jessie-debian-installer_boot_test.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/test/run_qemu-jessie-debian-installer_boot_test.sh b/test/run_qemu-jessie-debian-installer_boot_test.sh
index a67912e..ab9ca85 100755
--- a/test/run_qemu-jessie-debian-installer_boot_test.sh
+++ b/test/run_qemu-jessie-debian-installer_boot_test.sh
@@ -49,6 +49,7 @@ expect {
timeout { send_user "\nTimeout waiting for petitboot\n"; exit 1 }
eof { send_user "\nUnexpected EOF\n;" exit 1 }
"Machine Check Stop" { exit 1;}
+"Kernel panic - not syncing" { exit 2;}
"Starting system log daemon"
}
close